=== debian/changelog ===
org-mode (7.01g-1) unstable; urgency=low

  * New upstream release (Closes: #589853).
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Thu, 22 Jul 2010 14:14:51 +0200
