=== debian/changelog ===
org-mode (7.4-1) unstable; urgency=low

  * New upstream release
  * Handle ditaa more nicely (Closes: #607258).
  
 -- Sebastien Delafond <seb@debian.org>  Wed, 22 Dec 2010 14:13:18 +0100

org-mode (7.3-3) unstable; urgency=low

  * Explicitly exclude xemacs from byte-compilation (Closes: #602803).

 -- Sebastien Delafond <seb@debian.org>  Fri, 12 Nov 2010 11:35:10 +0100

org-mode (7.3-2) unstable; urgency=low

  * Do not support xemacs21 anymore; the upstream changelog clearly mentions
    that "XEmacs support requires the XEmacs development version", which
    is not packaged for Debian (Closes: #602803).

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Nov 2010 16:23:30 +0100

org-mode (7.3-1) unstable; urgency=low

  * New upstream release (Closes: #602196).

 -- Sebastien Delafond <seb@debian.org>  Sun, 07 Nov 2010 18:17:47 +0100

org-mode (7.01h-1) unstable; urgency=low

  * New upstream release.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 07 Sep 2010 14:46:10 +0200
