=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://orgmode.org
 
 Package: org-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs23 | emacs22 | xemacs21-bin | xemacs22-bin | emacs-snapshot
-Suggests: remember-el, easypg
+Depends: ${misc:Depends}, emacs23 | emacs22 | emacs-snapshot
+Suggests: remember-el, easypg, ditaa
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and
  doing project planning with a fast and effective plain-text system.
