=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,11 @@
 	dh_clean -k 
 	dh_installdirs
 	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
-	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
+#	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
 	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
 	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
 	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .DS_Store -exec rm -f {} \;
+	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .gitignore -exec rm -f {} \;
 
 # Build architecture-independent files here.
 binary-indep: build install
