## org-mode 7.6

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	     	org-colview.el		\
 	     	org-colview-xemacs.el	\
 	     	org-compat.el		\
-	     	org-complete.el		\
+	     	org-pcomplete.el	\
 	     	org-crypt.el		\
 	     	org-ctags.el		\
 	     	org-datetree.el		\
@@ -108,6 +108,7 @@
 		org-protocol.el		\
 		org-remember.el		\
 		org-rmail.el		\
+		org-special-blocks.el	\
 		org-src.el		\
 		org-table.el		\
 		org-taskjuggler.el	\
@@ -125,6 +126,7 @@
 		ob-comint.el		\
 		ob-eval.el		\
 		ob-keys.el		\
+		ob-awk.el		\
 		ob-C.el			\
 		ob-calc.el		\
 		ob-ditaa.el		\
@@ -135,6 +137,7 @@
 		ob-dot.el		\
 		ob-mscgen.el		\
 		ob-latex.el		\
+		ob-lisp.el		\
 		ob-ledger.el		\
 		ob-python.el		\
 		ob-sql.el		\
@@ -235,35 +238,32 @@
 	mv org-install.el lisp
 
 doc/org: doc/org.texi
-	(cd doc; $(MAKEINFO) --no-split org.texi -o org)
+	(cd doc && $(MAKEINFO) --no-split org.texi -o org)
 
 doc/org.pdf: doc/org.texi
-	(cd doc; $(TEXI2PDF) org.texi)
+	(cd doc && $(TEXI2PDF) org.texi)
 
 doc/orgguide.pdf: doc/orgguide.texi
-	(cd doc; $(TEXI2PDF) orgguide.texi)
+	(cd doc && $(TEXI2PDF) orgguide.texi)
 
 doc/org.html: doc/org.texi
-	(cd doc; $(TEXI2HTML) --no-split -o org.html org.texi)
+	(cd doc && $(TEXI2HTML) --no-split -o org.html org.texi)
 	UTILITIES/manfull.pl doc/org.html
 
 doc/orgcard.pdf: doc/orgcard.tex
-	(cd doc; pdftex orgcard.tex)
+	(cd doc && pdftex orgcard.tex)
 
 doc/orgcard.txt: doc/orgcard.tex
-	(cd doc; perl ../UTILITIES/orgcard2txt.pl orgcard.tex > orgcard.txt)
+	(cd doc && perl ../UTILITIES/orgcard2txt.pl orgcard.tex > orgcard.txt)
 
 doc/orgcard_letter.tex: doc/orgcard.tex
 	perl -pe 's/\\pdflayout=\(0l\)/\\pdflayout=(1l)/' \
                    doc/orgcard.tex > doc/orgcard_letter.tex
 
 doc/orgcard_letter.pdf: doc/orgcard_letter.tex
-	(cd doc; pdftex orgcard_letter.tex)
+	(cd doc && pdftex orgcard_letter.tex)
 
 # Below here are special targets for maintenance only
-
-updateweb:
-	ssh cdominik@orgmode.org 'pull-worg-orgweb.sh && publish-worg-orgweb.sh'
 
 html: doc/org.html
 
@@ -286,7 +286,7 @@
 card:	doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgcard.txt
 
 testrelease:
-	git checkout -b testrelease maint
+	git checkout -b testrelease origin/maint
 	git merge -s recursive -X theirs master
 	UTILITIES/set-version.pl testing
 	git commit -a -m "Release testing"
@@ -297,7 +297,7 @@
 	git checkout master
 	git branch -D testrelease
 
-# The following target makes a full release fro the stuff that is
+# The following target makes a full release for the stuff that is
 # currently on master.  Do it like this:
 #
 #   make release TAG=7.01
@@ -316,12 +316,11 @@
 	git push -f origin maint
 	git checkout master
 	git merge -s ours maint
-	UTILITIES/set-version.pl -o $(TAG)
+	UTILITIES/set-version.pl -a $(TAG)
 	git commit -a -m "Update website to show $(TAG) as current release"
 	git push
-	make updateweb
-
-# The following target makes a release, but from the studd that is on
+
+# The following target makes a release, but from the stuff that is on
 # maint, not from the stuff that is on master.  The idea is that it pushes
 # out a minor fix into a minor update, while development on master
 # already went full steam ahead.  To make a micro-relesse, cherry-pick
@@ -348,12 +347,40 @@
 	UTILITIES/set-version.pl -o $(TAG)
 	git commit -a -m "Update website to show $(TAG) as current release"
 	git push
-	make updateweb
-
+
+# ~$ make relup only makes sense from orgmode.org server
+# Don't call it from your computer!
 relup:
 	${MAKE} makerelease
-	${MAKE} upload_release
-	${MAKE} upload_manual
+	${MAKE} sync_release
+	${MAKE} sync_manual
+
+makerelease:
+	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
+	${MAKE} distfile
+	${MAKE} doc
+	UTILITIES/gplmanual.pl
+	${MAKE} html_manual
+	${MAKE} html_guide
+	rm -rf RELEASEDIR
+	$(MKDIR) RELEASEDIR
+	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
+	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
+	cp doc/org_dual_license.texi RELEASEDIR
+	cp doc/orgguide.pdf doc/orgcard.txt RELEASEDIR
+	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
+	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
+
+# ~$ make sync_release only makes sense from orgmode.org server
+# Don't call it from your computer!
+sync_release:
+	rsync -avuz RELEASEDIR/ /var/www/orgmode.org/
+
+# ~$ make sync_manual only makes sense from orgmode.org server
+# Don't call it from your computer!
+sync_manual:
+	rsync -avuz --delete doc/manual/ /var/www/orgmode.org/manual/
+	rsync -avuz --delete doc/guide/ /var/www/orgmode.org/guide/
 
 distfile:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
@@ -370,9 +397,8 @@
 	cp -r $(DOCFILES) $(CARDFILES) org-$(TAG)/doc
 	cp -r $(DISTFILES_extra) org-$(TAG)/
 	cp -r README_DIST org-$(TAG)/README
-	cp -r ORGWEBPAGE/Changes.org org-$(TAG)/
 	zip -r org-$(TAG).zip org-$(TAG)
-	gtar zcvf org-$(TAG).tar.gz org-$(TAG)
+	tar zcvf org-$(TAG).tar.gz org-$(TAG)
 
 pkg:
 	@if [ "X$(PKG_TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
@@ -385,29 +411,6 @@
 	echo "(define-package \"org\" \"$(PKG_TAG)\" \"$(PKG_DOC)\" $(PKG_REQ))" > org-$(PKG_TAG)/org-pkg.el
 	tar cf org-$(PKG_TAG).tar org-$(PKG_TAG) --remove-files
 
-makerelease:
-	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
-	${MAKE} distfile
-	${MAKE} doc
-	UTILITIES/gplmanual.pl
-	${MAKE} html_manual
-	${MAKE} html_guide
-	rm -rf RELEASEDIR
-	$(MKDIR) RELEASEDIR
-	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
-	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
-	cp doc/org_dual_license.texi RELEASEDIR
-	cp doc/orgguide.pdf doc/orgcard.txt RELEASEDIR
-	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
-	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
-
-upload_release:
-	rsync -avuz RELEASEDIR/ cdominik@orgmode.org:orgmode.org/
-
-upload_manual:
-	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
-	rsync -avuz --delete doc/guide/ cdominik@orgmode.org:orgmode.org/guide/
-
 cleanall:
 	${MAKE} clean
 	rm -f lisp/org-install.el
@@ -424,11 +427,11 @@
 cleanelc:
 	rm -f $(ELCFILES)
 cleandoc:
-	(cd doc; rm -f org.pdf org org.html orgcard.pdf)
-	(cd doc; rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
-	(cd doc; rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
-	(cd doc; rm -f orgcard_letter.tex orgcard_letter.pdf)
-	(cd doc; rm -rf manual)
+	-(cd doc && rm -f org.pdf org org.html orgcard.pdf orgguide.pdf)
+	-(cd doc && rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
+	-(cd doc && rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
+	-(cd doc && rm -f orgcard_letter.tex orgcard_letter.pdf)
+	-(cd doc && rm -rf manual)
 
 cleanrel:
 	rm -rf RELEASEDIR
@@ -440,19 +443,15 @@
 
 
 push:
-	git-push git+ssh://repo.or.cz/srv/git/org-mode.git master
+	git-push orgmode@orgmode.org:org-mode.git master
 
 pushtag:
 	git-tag -m "Adding tag" -a $(TAG)
-	git-push git+ssh://repo.or.cz/srv/git/org-mode.git $(TAG)
+	git-push orgmode@orgmode.org:org-mode.git $(TAG)
 
 pushreleasetag:
 	git-tag -m "Adding release tag" -a release_$(TAG)
-	git-push git+ssh://repo.or.cz/srv/git/org-mode.git release_$(TAG)
+	git-push orgmode@orgmode.org:org-mode.git release_$(TAG)
 
 # Dependencies
 
-lisp/org.elc:		lisp/org-macs.el lisp/org-compat.el lisp/org-faces.el
-lisp/org-agenda.elc:	lisp/org.el
-lisp/org-ascii.elc:	lisp/org-exp.el
-lisp/org-attach.elc:	lisp/org.el lisp/org-id.el
