=== debian/changelog ===
org-mode (7.6-1) unstable; urgency=low

  * New upstream release (Closes: #632158).

 -- Sebastien Delafond <seb@debian.org>  Thu, 07 Jul 2011 15:45:26 +0200

org-mode (7.5-2) unstable; urgency=low

  * Also install .el files (Closes: #623376).

 -- Sebastien Delafond <seb@debian.org>  Mon, 09 May 2011 12:18:52 +0200

org-mode (7.5-1) unstable; urgency=low

  * New upstream release (Closes: #623208).

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Apr 2011 14:52:41 +0200
