=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs Changes.org
+	dh_installchangelogs
 	dh_installdocs doc/*
 	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/org
 	dh_installemacsen -v
