## org-mode 7.7

=== debian/changelog ===
org-mode (7.7-3) unstable; urgency=low

  * More conventional debian/rules, not requiring root; thanks Colin
    Watson <cjwatson@ubuntu.com> for the patch (Closes: #648425)

 -- Sebastien Delafond <seb@debian.org>  Fri, 11 Nov 2011 15:09:35 +0100

org-mode (7.7-2) unstable; urgency=low

  * Fix FTBFS (Closes: #643235)

 -- Sebastien Delafond <seb@debian.org>  Tue, 27 Sep 2011 11:27:02 +0200

org-mode (7.7-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Sat, 10 Sep 2011 15:30:43 +0200
