=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://orgmode.org
 
 Package: org-mode
