=== debian/changelog ===
org-mode (7.8.02-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch file

 -- Sebastien Delafond <seb@debian.org>  Tue, 13 Dec 2011 16:58:49 +0100
