## org-mode 7.8.11

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,15 @@
 # Where local software is found
 prefix=/usr/local
 
-# Where local lisp files go.
+# Where local lisp files go
 lispdir   = $(prefix)/share/emacs/site-lisp
 
-# Where info files go.
+# Where data files go
+# $(datadir) contains auxiliary files for use with ODT exporter.
+# See comments under DATAFILES.
+datadir = $(prefix)/share/emacs/etc
+
+# Where info files go
 infodir = $(prefix)/share/info
 
 ##----------------------------------------------------------------------
@@ -29,7 +34,7 @@
 # Using emacs in batch mode.
 
 BATCH=$(EMACS) -batch -q -no-site-file -eval                             			\
-  "(setq load-path (cons (expand-file-name \"./lisp/\") (cons \"$(lispdir)\" load-path)))"
+  "(setq load-path (cons (expand-file-name \"./lisp/\") (cons \"$(lispdir)\" load-path)))" $(BATCH_EXTRA)
 
 # Specify the byte-compiler for compiling org-mode files
 ELC= $(BATCH) -f batch-byte-compile
@@ -48,7 +53,7 @@
 TEXI2HTMLNOPSLIT = makeinfo --html --no-split --number-sections
 
 # How to copy the lisp files and elc files to their distination.
-CP = cp -p
+CP = cp -pr
 
 # Name of the program to install info files
 INSTALL_INFO=install-info
@@ -85,6 +90,7 @@
 		org-footnote.el		\
 		org-freemind.el		\
 		org-gnus.el		\
+		org-eshell.el		\
 		org-habit.el		\
 		org-html.el		\
 		org-icalendar.el	\
@@ -163,7 +169,8 @@
 		ob-java.el		\
 		ob-shen.el		\
 		ob-fortran.el		\
-		ob-picolisp.el
+		ob-picolisp.el		\
+		ob-maxima.el
 
 LISPFILES0  = $(LISPF:%=lisp/%)
 LISPFILES   = $(LISPFILES0) lisp/org-install.el
@@ -176,6 +183,26 @@
 TEXIFILES   = doc/org.texi
 INFOFILES   = doc/org
 
+# etc/styles contains OpenDocument style files.  These files *must* be
+# installed for the ODT exporter to function.  These files are
+# distirbuted with GNU ELPA as well as with stock Emacs >= 24.1.
+
+# contrib/odt/etc/schema contains OpenDocument schema files.  It is
+# *desirable* but *not* mandatory that these files be installed.
+# These files are not distributed with stock Emacs.  This is because
+# the terms under which OASIS distributes these files are not
+# agreeable to FSF.
+
+# BasicODConverter-x.y.z.oxt is a LibreOffice extension for converting
+# OpenDocument files to numerous other formats.  It is similar to
+# unoconv and is implemented in StarBasic.  It is *desirable* but
+# *not* *mandatory* that the converter be installed.  It is
+# distributed under the same license as GNU Emacs.  This file is *not*
+# part of GNU Emacs.
+DATAFILES   = etc/styles \
+	      # contrib/odt/BasicODConverter/BasicODConverter*.oxt \
+	      # contrib/odt/etc/schema \
+
 # Package Manager (ELPA)
 PKG_TAG = $(shell date +%Y%m%d)
 PKG_DOC = "Outline-based notes management and organizer"
@@ -211,7 +238,7 @@
 
 compile: $(ELCFILES0) $(ELCBFILES)
 
-install: install-lisp
+install: install-lisp install-data
 
 doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgguide.pdf doc/orgcard.txt
 
@@ -221,15 +248,31 @@
 g:
 	${MAKE} pdf && open doc/orgguide.pdf
 
+# Always force re-compilation of org-odt
+lisp/org-odt.elc: org-odt-data-dir
+org-odt-data-dir:
+
+# Sleight of hand to "hard code" the value of $(datadir) in
+# org-odt.el.  See variables `org-odt-styles-dir-list' and
+# `org-odt-schema-dir-list'.
+install-lisp: BATCH_EXTRA = -eval "(setq org-odt-data-dir (expand-file-name \"$(datadir)\"))"
+
 install-lisp: $(LISPFILES) $(ELCFILES)
-	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
-	$(CP) $(LISPFILES)  $(lispdir)
-	$(CP) $(ELCFILES)   $(lispdir)
+	if [ ! -d $(DESTDIR)$(lispdir) ]; then \
+		$(MKDIR) $(DESTDIR)$(lispdir); else true; fi ;
+	$(CP) $(LISPFILES)  $(DESTDIR)$(lispdir)
+	$(CP) $(ELCFILES)   $(DESTDIR)$(lispdir)
 
 install-info: $(INFOFILES)
-	if [ ! -d $(infodir) ]; then $(MKDIR) $(infodir); else true; fi ;
-	$(CP) $(INFOFILES) $(infodir)
-	$(INSTALL_INFO) --infodir=$(infodir) $(INFOFILES)
+	if [ ! -d $(DESTDIR)$(infodir) ]; then \
+		$(MKDIR) $(DESTDIR)$(infodir); else true; fi ;
+	$(CP) $(INFOFILES) $(DESTDIR)$(infodir)
+	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) $(INFOFILES)
+
+install-data: $(DATAFILES)
+	if [ ! -d $(DESTDIR)$(datadir) ]; then \
+		$(MKDIR) $(DESTDIR)$(datadir); else true; fi ;
+	$(CP) $(DATAFILES) $(DESTDIR)$(datadir)
 
 autoloads: lisp/org-install.el
 
@@ -310,18 +353,15 @@
 	git checkout maint
 	git merge -s recursive -X theirs master
 	UTILITIES/set-version.pl $(TAG)
-	git commit -a -m "Release $(TAG)"
+	git commit -a -m "Major release $(TAG) from master"
 	make relup TAG=$(TAG)
 	make cleanrel
-	rm -rf org-$(TAG)
-	rm -f org-$(TAG)*.zip
-	rm -f org-$(TAG)*.tar.gz
 	make pushreleasetag TAG=$(TAG)
 	git push -f origin maint
 	git checkout master
 	git merge -s ours maint
 	UTILITIES/set-version.pl -a $(TAG)
-	git commit -a -m "Update website to show $(TAG) as current release"
+	git commit -a -m "Bump to version $(TAG) as current release from master"
 	git push
 
 # The following target makes a release, but from the stuff that is on
@@ -336,20 +376,16 @@
 
 fixrelease:
 	git checkout maint
-	git merge -s recursive -X theirs master
 	UTILITIES/set-version.pl $(TAG)
-	git commit -a -m "Release $(TAG)"
+	git commit -a -m "Bugfix release $(TAG) from maint"
 	make relup TAG=$(TAG)
 	make cleanrel
-	rm -rf org-$(TAG)
-	rm org-$(TAG)*.zip
-	rm org-$(TAG)*.tar.gz
 	make pushreleasetag TAG=$(TAG)
 	git push -f origin maint
 	git checkout master
 	git merge -s ours maint
 	UTILITIES/set-version.pl -o $(TAG)
-	git commit -a -m "Update website to show $(TAG) as current release"
+	git commit -a -m "Bump to version $(TAG) as current release from maint"
 	git push
 
 # ~$ make relup only makes sense from orgmode.org server
@@ -393,69 +429,3 @@
 	${MAKE} info
 	${MAKE} doc
 	${MAKE} lisp/org-install.el
-	rm -rf org-$(TAG) org-$(TAG).zip
-	$(MKDIR) org-$(TAG)
-	$(MKDIR) org-$(TAG)/doc
-	$(MKDIR) org-$(TAG)/lisp
-	cp -r $(LISPFILES) org-$(TAG)/lisp
-	cp -r $(DOCFILES) $(CARDFILES) org-$(TAG)/doc
-	cp -r $(DISTFILES_extra) org-$(TAG)/
-	cp -r README_DIST org-$(TAG)/README
-	zip -r org-$(TAG).zip org-$(TAG)
-	tar zcvf org-$(TAG).tar.gz org-$(TAG)
-
-pkg:
-	@if [ "X$(PKG_TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
-	touch doc/org.texi doc/orgcard.tex # force update
-	${MAKE} info
-	${MAKE} doc
-	rm -rf org-$(PKG_TAG) org-$(PKG_TAG).tar
-	$(MKDIR) org-$(PKG_TAG)
-	cp -r $(PKG_FILES) org-$(PKG_TAG)
-	echo "(define-package \"org\" \"$(PKG_TAG)\" \"$(PKG_DOC)\" $(PKG_REQ))" > org-$(PKG_TAG)/org-pkg.el
-	tar cf org-$(PKG_TAG).tar org-$(PKG_TAG) --remove-files
-
-cleanall:
-	${MAKE} clean
-	rm -f lisp/org-install.el
-
-clean:
-	${MAKE} cleanelc
-	${MAKE} cleandoc
-	${MAKE} cleanrel
-	rm -f *~ */*~ */*/*~
-
-cleancontrib:
-	find contrib -name \*~ -exec rm {} \;
-
-cleanelc:
-	rm -f $(ELCFILES)
-cleandoc:
-	-(cd doc && rm -f org.pdf org org.html orgcard.pdf orgguide.pdf)
-	-(cd doc && rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
-	-(cd doc && rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
-	-(cd doc && rm -f orgcard_letter.tex orgcard_letter.pdf)
-	-(cd doc && rm -rf manual)
-
-cleanrel:
-	rm -rf RELEASEDIR
-	rm -rf org-7.*
-	rm -rf org-7*zip org-7*tar.gz
-
-.el.elc:
-	$(ELC) $<
-
-
-push:
-	git push orgmode@orgmode.org:org-mode.git master
-
-pushtag:
-	git tag -m "Adding tag" -a $(TAG)
-	git push orgmode@orgmode.org:org-mode.git $(TAG)
-
-pushreleasetag:
-	git tag -m "Adding release tag" -a release_$(TAG)
-	git push orgmode@orgmode.org:org-mode.git release_$(TAG)
-
-# Dependencies
-
