=== debian/changelog ===
org-mode (7.8.11-1) unstable; urgency=low

  * New upstream release
  * Simpler debian/watch file
  
 -- Sebastien Delafond <seb@debian.org>  Wed, 20 Jun 2012 11:36:07 +0200

org-mode (7.8.09-1) unstable; urgency=low

  * New upstream release (Closes: #670270)
  * Updated debian/watch file

 -- Sebastien Delafond <seb@debian.org>  Wed, 25 Apr 2012 15:20:15 +0200

org-mode (7.8.06-2) unstable; urgency=low

  * Really fix the style files (Closes: #655652)

 -- Sebastien Delafond <seb@debian.org>  Mon, 26 Mar 2012 10:56:00 +0200

org-mode (7.8.06-1) unstable; urgency=low

  * New upstream release (Closes: #655652)
  * Bumped up Standards-Version.
  
 -- Sebastien Delafond <seb@debian.org>  Sun, 25 Mar 2012 17:10:16 +0200
