=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	dh_clean -k 
 	dh_installdirs
 	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
+	cp -r etc $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
 #	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
 	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
 	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
